/*
  This file is part of Calimero, a pure Java library
  for KNX network access and management.
  http://calimero.sourceforge.net

  Calimero was developed at the Vienna University of Technology,
  Automation Systems Group.
  http://www.auto.tuwien.ac.at/a-lab

  Copyright 2007 Boris Malinowsky

  This version is made available for evaluation purposes only.
  Any commercial use is prohibited. This code is preliminary and
  subject to change at any time without further notice.
  All rights reserved.
*/

/*
 $Log$
 */

package tuwien.auto.calimero;

import java.util.EventObject;

/**
 * @author bm
 */
public class CloseEvent extends EventObject
{
	private static final long serialVersionUID = 1L;

	private final boolean user;
	private final String msg;

	/**
	 * @param source
	 */
	public CloseEvent(Object source, boolean userRequest, String reason)
	{
		super(source);
		user = userRequest;
		msg = reason;
	}

	public final boolean isUserRequest()
	{
		return user;
	}

	public final String getReason()
	{
		return msg;
	}
}
