/*
  This file is part of Calimero, a pure Java library
  for KNX network access and management.
  http://calimero.sourceforge.net

  Calimero was developed at the Vienna University of Technology,
  Automation Systems Group.
  http://www.auto.tuwien.ac.at/a-lab

  Copyright 2007 Boris Malinowsky

  This version is made available for evaluation purposes only.
  Any commercial use is prohibited. This code is preliminary and
  subject to change at any time without further notice.
  All rights reserved.
*/

/*
 $Log: KNXListener.java,v $
 Revision 1.1  2007/02/07 01:59:28  bm
 initial commit

 */

package tuwien.auto.calimero;

import java.util.EventListener;

import tuwien.auto.calimero.knxnetip.ConnectionCloseEvent;

/**
 * The base listener interface to receive events of the communication with a KNX
 * network.
 * <p>
 */
public interface KNXListener extends EventListener
{
	/**
	 * Arrival of a new KNX message frame.
	 * <p>
	 * 
	 * @param e frame event object
	 */
	void frameReceived(FrameEvent e);

	/**
	 * The connection has been closed.
	 * 
	 * @param e connection close event object
	 */
	void connectionClosed(ConnectionCloseEvent e);
}
