/*
  This file is part of Calimero, a pure Java library
  for KNX network access and management.
  http://calimero.sourceforge.net

  Calimero was developed at the Vienna University of Technology,
  Automation Systems Group.
  http://www.auto.tuwien.ac.at/a-lab

  Copyright 2007 Boris Malinowsky

  This version is made available for evaluation purposes only.
  Any commercial use is prohibited. This code is preliminary and
  subject to change at any time without further notice.
  All rights reserved.
*/

/*
 $Log$
 */

package tuwien.auto.calimero.datapoint;

import tuwien.auto.calimero.GroupAddress;
import tuwien.auto.calimero.xml.KNXMLException;
import tuwien.auto.calimero.xml.XMLReader;
import tuwien.auto.calimero.xml.XMLWriter;

/**
 * @author bm
 */
public interface DatapointModel
{
	void add(Datapoint dp);

	void remove(Datapoint dp);

	boolean contains(GroupAddress main);
	
	boolean contains(Datapoint dp);
	
	Datapoint get(GroupAddress main);

	void removeAll();

	void load(XMLReader r) throws KNXMLException;

	void save(XMLWriter w) throws KNXMLException;
}
