/*
  This file is part of Calimero, a pure Java library
  for KNX network access and management.
  http://calimero.sourceforge.net

  Calimero was developed at the Vienna University of Technology,
  Automation Systems Group.
  http://www.auto.tuwien.ac.at/a-lab

  Copyright 2007 Boris Malinowsky

  This version is made available for evaluation purposes only.
  Any commercial use is prohibited. This code is preliminary and
  subject to change at any time without further notice.
  All rights reserved.
*/

/*
 $Log: KNXInvalidResponseException.java,v $
 Revision 1.1  2007/07/15 00:56:40  bm
 initial commit after package renaming

 Revision 1.2  2007/03/21 00:38:25  bm
 minor stylistic changes

 Revision 1.1  2007/03/20 13:47:28  bm
 Introduced exception hierarchy
 with basic error types

 */

package tuwien.auto.calimero.exception;

/**
 * Thrown to indicate a message format mismatch of a response sent by a remote endpoint.
 * <p>
 * Particularly, if received data from the network is parsed and the structure read does
 * not match.
 * 
 * @author bm
 */
public class KNXInvalidResponseException extends KNXRemoteException
{
	private static final long serialVersionUID = 1L;

	/**
	 * Constructs a <code>KNXInvalidResponseException</code> without a detail message.
	 * <p>
	 */
	public KNXInvalidResponseException()
	{}

	/**
	 * Constructs a <code>KNXInvalidResponseException</code> with the specified detail
	 * message.
	 * <p>
	 * 
	 * @param s the detail message
	 */
	public KNXInvalidResponseException(String s)
	{
		super(s);
	}

}
