/*
  This file is part of Calimero, a pure Java library
  for KNX network access and management.
  http://calimero.sourceforge.net

  Calimero was developed at the Vienna University of Technology,
  Automation Systems Group.
  http://www.auto.tuwien.ac.at/a-lab

  Copyright 2007 Boris Malinowsky

  This version is made available for evaluation purposes only.
  Any commercial use is prohibited. This code is preliminary and
  subject to change at any time without further notice.
  All rights reserved.
*/

/*
 $Log: KNXRemoteException.java,v $
 Revision 1.1  2007/07/15 00:56:40  bm
 initial commit after package renaming

 Revision 1.1  2007/03/21 00:35:47  bm
 added error type for remote application problems

 */

package tuwien.auto.calimero.exception;

/**
 * Thrown when a message received from a remote endpoint indicates problems or signals
 * error conditions at the remote server, for example due to a invalid formatted request
 * or processing result.
 * <p>
 * 
 * @author bm
 */
public class KNXRemoteException extends KNXException
{
	private static final long serialVersionUID = 1L;

	/**
	 * Constructs a <code>KNXRemoteException</code> without a detail message.
	 * <p>
	 */
	public KNXRemoteException()
	{}

	/**
	 * Constructs a <code>KNXRemoteException</code> with the specified detail
	 * message.
	 * <p>
	 * 
	 * @param s the detail message
	 */
	public KNXRemoteException(String s)
	{
		super(s);
	}

}
