/*
  This file is part of Calimero, a pure Java library
  for KNX network access and management.
  http://calimero.sourceforge.net

  Calimero was developed at the Vienna University of Technology,
  Automation Systems Group.
  http://www.auto.tuwien.ac.at/a-lab

  Copyright 2007 Boris Malinowsky

  This version is made available for evaluation purposes only.
  Any commercial use is prohibited. This code is preliminary and
  subject to change at any time without further notice.
  All rights reserved.
*/

/*
 $Log: LostMessageEvent.java,v $
 Revision 1.1  2007/07/20 00:51:57  bm
 review with small updates

 */

package tuwien.auto.calimero.knxnetip;

import java.util.EventObject;


/**
 * @author bm
 */
public class LostMessageEvent extends EventObject
{
	private static final long serialVersionUID = 1L;
	
	private final short state;
	private final int lost;

	/**
	 * @param source the {@link KNXnetIPRouter} object on which the event occurred
	 */
	public LostMessageEvent(Object source, short deviceState, int lostMessages)
	{
		super(source);
		state = deviceState;
		lost = lostMessages;
	}

	public final short getDeviceState()
	{
		return state;
	}

	public final int getLostMessages()
	{
		return lost;
	}
}
