/*
  This file is part of Calimero, a pure Java library
  for KNX network access and management.
  http://calimero.sourceforge.net

  Calimero was developed at the Vienna University of Technology,
  Automation Systems Group.
  http://www.auto.tuwien.ac.at/a-lab

  Copyright 2007 Boris Malinowsky

  This version is made available for evaluation purposes only.
  Any commercial use is prohibited. This code is preliminary and
  subject to change at any time without further notice.
  All rights reserved.
*/

/*
 $Log$
 */

package tuwien.auto.calimero.link.event;

import tuwien.auto.calimero.FrameEvent;
import tuwien.auto.calimero.cemi.CEMI;
import tuwien.auto.calimero.link.medium.RawFrame;

/**
 * @author bm
 */
public class MonitorFrameEvent extends FrameEvent
{
	private static final long serialVersionUID = 1L;

	private final RawFrame raw;

	/**
	 * @param source
	 * @param frame
	 */
	public MonitorFrameEvent(Object source, CEMI frame)
	{
		super(source, frame);
		raw = null;
	}

	/**
	 * 
	 */
	public MonitorFrameEvent(Object source, CEMI frame, RawFrame rawFrame)
	{
		super(source, frame);
		raw = rawFrame;
	}

	/**
	 * @return the decodedFrame
	 */
	public final RawFrame getRawFrame()
	{
		return raw;
	}
}
