/*
  This file is part of Calimero, a pure Java library
  for KNX network access and management.
  http://calimero.sourceforge.net

  Calimero was developed at the Vienna University of Technology,
  Automation Systems Group.
  http://www.auto.tuwien.ac.at/a-lab

  Copyright 2007 Boris Malinowsky

  This version is made available for evaluation purposes only.
  Any commercial use is prohibited. This code is preliminary and
  subject to change at any time without further notice.
  All rights reserved.
*/

/*
 $Log$
 */

package tuwien.auto.calimero.link.medium;

import tuwien.auto.calimero.IndividualAddress;

/**
 * @author bm
 */
public class TPSettings extends KNXMediumSettings
{
	public static final TPSettings TP0 = new TPSettings(false);
	public static final TPSettings TP1 = new TPSettings(true);

	private final boolean tp1;

	/**
	 * @param device
	 */
	public TPSettings(IndividualAddress device, boolean mediumTP1)
	{
		super(device);
		tp1 = mediumTP1;
	}

	/**
	 * 
	 */
	public TPSettings(boolean mediumTP1)
	{
		super(null);
		tp1 = mediumTP1;
	}

	/**
	 * 
	 */
	public final boolean isTP1()
	{
		return tp1;
	}

	/* (non-Javadoc)
	 * @see tuwien.auto.calimero.link.medium.KNXMediumSettings#getMediumType()
	 */
	public short getMedium()
	{
		return tp1 ? MEDIUM_TP1 : MEDIUM_TP0;
	}
}
