/*
  This file is part of Calimero, a pure Java library
  for KNX network access and management.
  http://calimero.sourceforge.net

  Calimero was developed at the Vienna University of Technology,
  Automation Systems Group.
  http://www.auto.tuwien.ac.at/a-lab

  Copyright 2007 Boris Malinowsky

  This version is made available for evaluation purposes only.
  Any commercial use is prohibited. This code is preliminary and
  subject to change at any time without further notice.
  All rights reserved.
*/

/*
 $Log: KNXLogException.java,v $
 Revision 1.1  2007/07/15 00:56:40  bm
 initial commit after package renaming

 */

package tuwien.auto.calimero.log;

import tuwien.auto.calimero.exception.KNXException;

/**
 * Thrown to indicate a problem with logging.
 * <p>
 * 
 * @author bm
 */
public class KNXLogException extends KNXException
{
	private static final long serialVersionUID = 1L;

	/**
	 * Constructs a <code>KNXLogException</code> without a detail message.
	 * <p>
	 */
	public KNXLogException()
	{}

	/**
	 * Constructs a <code>KNXLogException</code> with the specified detail message.
	 * <p>
	 * 
	 * @param s the detail message
	 */
	public KNXLogException(String s)
	{
		super(s);
	}

}
