/*
  This file is part of Calimero, a pure Java library
  for KNX network access and management.
  http://calimero.sourceforge.net

  Calimero was developed at the Vienna University of Technology,
  Automation Systems Group.
  http://www.auto.tuwien.ac.at/a-lab

  Copyright 2007 Boris Malinowsky

  This version is made available for evaluation purposes only.
  Any commercial use is prohibited. This code is preliminary and
  subject to change at any time without further notice.
  All rights reserved.
*/

/*
 $Log: PropertyAdapter.java,v $
 Revision 1.1  2007/08/17 22:34:06  bm
 initial commit

 */

package tuwien.auto.calimero.mgmt;

import tuwien.auto.calimero.exception.KNXException;

/**
 * A property adapter is used to handle a specific way of access to device properties.
 * <p>
 * 
 * @author bm
 */
// doc after close, we throw KNXIllegalStateExc
public interface PropertyAdapter
{
	byte[] getProperty(int objIndex, int pid, int start, int elements)
		throws KNXException;

	/**
	 * @param objIndex
	 * @param pid
	 * @param start
	 * @param elements
	 * @param data
	 * @throws KNXException
	 */
	void setProperty(int objIndex, int pid, int start, int elements, byte[] data)
		throws KNXException;

	byte[] getDescription(int objIndex, int pid, int propIndex) throws KNXException;

	String getName();
	
	boolean isOpen();
	
	/**
	 * 
	 */
	void close();
}
