/*
  This file is part of Calimero, a pure Java library
  for KNX network access and management.
  http://calimero.sourceforge.net

  Calimero was developed at the Vienna University of Technology,
  Automation Systems Group.
  http://www.auto.tuwien.ac.at/a-lab

  Copyright 2007 Boris Malinowsky

  This version is made available for evaluation purposes only.
  Any commercial use is prohibited. This code is preliminary and
  subject to change at any time without further notice.
  All rights reserved.
*/

/*
 $Log: TransportLayerListener.java,v $
 Revision 1.2  2007/07/20 00:51:57  bm
 review with small updates

 Revision 1.1  2007/03/21 00:41:05  bm
 added listener interfaces for communication layers
 
 */

package tuwien.auto.calimero.mgmt;

import java.util.EventListener;

import tuwien.auto.calimero.CloseEvent;
import tuwien.auto.calimero.FrameEvent;
import tuwien.auto.calimero.process.DetachEvent;

/**
 * @author bm
 */
public interface TransportListener extends EventListener
{
	void broadcast(FrameEvent e);
	
	void group(FrameEvent e);
	
	void individual(FrameEvent e);

	void connectedData(FrameEvent e);
	
	void disconnected(Destination d);
	
	void linkClosed(CloseEvent e);
	
	void detached(DetachEvent e);
}
