/*
  This file is part of Calimero, a pure Java library
  for KNX network access and management.
  http://calimero.sourceforge.net

  Calimero was developed at the Vienna University of Technology,
  Automation Systems Group.
  http://www.auto.tuwien.ac.at/a-lab

  Copyright 2007 Boris Malinowsky

  This version is made available for evaluation purposes only.
  Any commercial use is prohibited. This code is preliminary and
  subject to change at any time without further notice.
  All rights reserved.
*/

/*
 $Log$
 */

package tuwien.auto.calimero.process;

import java.util.EventObject;

import tuwien.auto.calimero.GroupAddress;
import tuwien.auto.calimero.IndividualAddress;

/**
 * @author bm
 */
public class ProcessEvent extends EventObject
{
	private static final long serialVersionUID = 1L;
	
	private final IndividualAddress src;
	private final GroupAddress dst;
	private final byte[] apdu;

	/**
	 * @param source
	 */
	public ProcessEvent(Object source, IndividualAddress src, GroupAddress dst,
		byte[] apdu)
	{
		super(source);
		this.src = src;
		this.dst = dst;
		this.apdu = apdu;
	}

	public final IndividualAddress getSourceAddr()
	{
		return src;
	}

	public final GroupAddress getDestination()
	{
		return dst;
	}

	public final byte[] getAPDU()
	{
		return apdu;
	}
}
