/*
  This file is part of Calimero, a pure Java library
  for KNX network access and management.
  http://calimero.sourceforge.net

  Calimero was developed at the Vienna University of Technology,
  Automation Systems Group.
  http://www.auto.tuwien.ac.at/a-lab

  Copyright 2007 Boris Malinowsky

  This version is made available for evaluation purposes only.
  Any commercial use is prohibited. This code is preliminary and
  subject to change at any time without further notice.
  All rights reserved.
*/

/*
 $Log: Attribute.java,v $
 Revision 1.3  2007/04/13 13:37:17  bm
 added API specification comments
 code cleanup

 Revision 1.2  2007/03/01 20:35:32  bm
 minor stylistic changes

 Revision 1.1  2007/03/01 20:15:20  bm
 move class Attribute to its own file

 */

package tuwien.auto.calimero.xml;

/**
 * XML element attribute.
 * <p>
 * 
 * @author bm
 */
public class Attribute
{
	private final String name;
	private final String value;

	/**
	 * Creates an attribute.
	 * <p>
	 * 
	 * @param name name of attribute
	 * @param value value of attribute
	 */
	public Attribute(String name, String value)
	{
		this.name = name;
		this.value = value;
	}

	/**
	 * Returns the attribute name.
	 * <p>
	 * 
	 * @return attribute name
	 */
	public final String getName()
	{
		return name;
	}

	/**
	 * Returns the value of this attribute.
	 * <p>
	 * 
	 * @return value as String
	 */
	public final String getValue()
	{
		return value;
	}
}
