/*
  This file is part of Calimero, a pure Java library
  for KNX network access and management.
  http://calimero.sourceforge.net

  Calimero was developed at the Vienna University of Technology,
  Automation Systems Group.
  http://www.auto.tuwien.ac.at/a-lab

  Copyright 2007 Boris Malinowsky

  This version is made available for evaluation purposes only.
  Any commercial use is prohibited. This code is preliminary and
  subject to change at any time without further notice.
  All rights reserved.
*/

/*
 $Log$
 */

package tuwien.auto.calimero.xml;

import tuwien.auto.calimero.exception.KNXException;

/**
 * @author bm
 */
public class KNXMLException extends KNXException
{
	private static final long serialVersionUID = 1L;

	private final String item;
	private final int line;

	/**
	 * 
	 */
	public KNXMLException()
	{
		item = null;
		line = 0;
	}

	/**
	 * @param s
	 */
	public KNXMLException(String s)
	{
		super(s);
		item = null;
		line = 0;
	}

	/**
	 * @param s
	 */
	public KNXMLException(String s, String badItem, int lineNumber)
	{
		super(s);
		item = badItem;
		line = lineNumber;
	}

	public final String getBadItem()
	{
		return item;
	}
	
	public final int getLineNumber()
	{
		return line;
	}
}
